org.apache.poi.hssf.record

## Class ColumnInfoRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.ColumnInfoRecord

- All Implemented Interfaces:
    Duplicatable

      public final class ColumnInfoRecord
      extends StandardRecord

  Defines with width and formatting for a range of columns

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnInfoRecord()` Creates a column info record with default width and format
    `ColumnInfoRecord(ColumnInfoRecord other)`
    `ColumnInfoRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnInfoRecord` | `clone()` Deprecated.
    `boolean` | `containsColumn(int columnIndex)`
    `ColumnInfoRecord` | `copy()`
    `boolean` | `formatMatches(ColumnInfoRecord other)`
    `boolean` | `getCollapsed()`
    `int` | `getColumnWidth()`
    `protected int` | `getDataSize()`
    `int` | `getFirstColumn()` get the first column this record defines formatting info for
    `boolean` | `getHidden()`
    `int` | `getLastColumn()` get the last column this record defines formatting info for
    `int` | `getOutlineLevel()`
    `short` | `getSid()` return the non static version of the id for this record.
    `int` | `getXFIndex()` get the columns' default format info
    `boolean` | `isAdjacentBefore(ColumnInfoRecord other)`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCollapsed(boolean isCollapsed)` set whether the cells are collapsed
    `void` | `setColumnWidth(int cw)` set the columns' width in 1/256 of a character width
    `void` | `setFirstColumn(int fc)` set the first column this record defines formatting info for
    `void` | `setHidden(boolean ishidden)` set whether or not these cells are hidden
    `void` | `setLastColumn(int lc)` set the last column this record defines formatting info for
    `void` | `setOutlineLevel(int olevel)` set the outline level for the cells
    `void` | `setXFIndex(int xfi)` set the columns' default format info
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnInfoRecord

          public ColumnInfoRecord()

      Creates a column info record with default width and format

    - #### ColumnInfoRecord

          public ColumnInfoRecord(ColumnInfoRecord other)

    - #### ColumnInfoRecord

          public ColumnInfoRecord(RecordInputStream in)

  - ### Method Detail

    - #### setFirstColumn

          public void setFirstColumn(int fc)

      set the first column this record defines formatting info for
      Parameters:
        `fc` - - the first column index (0-based)

    - #### setLastColumn

          public void setLastColumn(int lc)

      set the last column this record defines formatting info for
      Parameters:
        `lc` - - the last column index (0-based)

    - #### setColumnWidth

          public void setColumnWidth(int cw)

      set the columns' width in 1/256 of a character width
      Parameters:
        `cw` - - column width

    - #### setXFIndex

          public void setXFIndex(int xfi)

      set the columns' default format info
      Parameters:
        `xfi` - - the extended format index
      See Also:
        `ExtendedFormatRecord`

    - #### setHidden

          public void setHidden(boolean ishidden)

      set whether or not these cells are hidden
      Parameters:
        `ishidden` - - whether the cells are hidden.

    - #### setOutlineLevel

          public void setOutlineLevel(int olevel)

      set the outline level for the cells
      Parameters:
        `olevel` - -outline level for the cells

    - #### setCollapsed

          public void setCollapsed(boolean isCollapsed)

      set whether the cells are collapsed
      Parameters:
        `isCollapsed` - - whether the cells are collapsed

    - #### getFirstColumn

          public int getFirstColumn()

      get the first column this record defines formatting info for
      Returns:
        the first column index (0-based)

    - #### getLastColumn

          public int getLastColumn()

      get the last column this record defines formatting info for
      Returns:
        the last column index (0-based)

    - #### getColumnWidth

          public int getColumnWidth()

      Returns:
        column width in units of 1/256 of a character width

    - #### getXFIndex

          public int getXFIndex()

      get the columns' default format info
      Returns:
        the extended format index
      See Also:
        `ExtendedFormatRecord`

    - #### getHidden

          public boolean getHidden()

      Returns:
        whether the cells are hidden.

    - #### getOutlineLevel

          public int getOutlineLevel()

      Returns:
        outline level for the cells

    - #### getCollapsed

          public boolean getCollapsed()

      Returns:
        whether the cells are collapsed

    - #### containsColumn

          public boolean containsColumn(int columnIndex)

    - #### isAdjacentBefore

          public boolean isAdjacentBefore(ColumnInfoRecord other)

    - #### formatMatches

          public boolean formatMatches(ColumnInfoRecord other)

      Parameters:
        `other` - the format to match with
      Returns:
        `true` if the format, options and column width match

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public ColumnInfoRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public ColumnInfoRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.